.dialog-content {
    display: flex;
    flex-direction: column; /* Arrange content vertically */
    align-items: center; /* Horizontally center the content */
    justify-content: center; /* Vertically center the content */
    height: 100%; /* Make sure it takes full height of the dialog */
  }

.code-box {
    position: relative;
    width: 90%; /* Fixed width */
    min-height: 400px;
    max-height: 80vh;
    border: 1px solid #ccc;
    border-radius: 8px;
    background-color: #f9f9f9;
    overflow: auto; /* Enable scrollbars */
    padding: 16px;
    font-family: monospace;
    font-size: 14px;
    white-space: pre; /* Preserve whitespace */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

/* Scrollbar styles */
.code-box::-webkit-scrollbar {
    width: 8px; /* Vertical scrollbar width */
    height: 8px; /* Horizontal scrollbar height */
}

.code-box::-webkit-scrollbar-thumb {
    background-color: #888;
    border-radius: 4px;
}

.code-box::-webkit-scrollbar-thumb:hover {
    background-color: #555;
}

/* Copy button styles */
.copy-button {
    position: absolute;
    top: 8px;
    right: 8px;
    z-index: 10;
}